﻿walk(document.body);

function walk(node) 
{
	// I stole this function from here:
	// http://is.gd/mwZp7E
	
	var child, next;

	switch ( node.nodeType )  
	{
		case 1:  // Element
		case 9:  // Document
		case 11: // Document fragment
			child = node.firstChild;
			while ( child ) 
			{
				next = child.nextSibling;
				walk(child);
				child = next;
			}
			break;

		case 3: // Text node
			handleText(node);
			break;
	}
}

function handleText(textNode) 
{
	var v = textNode.nodeValue;

	// Klein
	v = v.replace(/\bdeutsch\b/g, "dadaistisch");
	v = v.replace(/\bdeutsche\b/g, "dadaistische");
	v = v.replace(/\bdeutscher\b/g, "dadaistischer");
	v = v.replace(/\bdeutschen\b/g, "dadaistischen");
	v = v.replace(/\bdeutschem\b/g, "dadaistischem");
	v = v.replace(/\bdeutsches\b/g, "dadaistisches");

	v = v.replace(/\bdeutschere\b/g, "dadaistischere");
	v = v.replace(/\bdeutscherer\b/g, "dadaistischerer");
	v = v.replace(/\bdeutscheren\b/g, "dadaistischeren");
	v = v.replace(/\bdeutscherem\b/g, "dadaistischerem");
	v = v.replace(/\bdeutscheres\b/g, "dadaistischeres");

	v = v.replace(/\bdeutscheste\b/g, "dadaistischste");
	v = v.replace(/\bdeutschester\b/g, "dadaistischster");
	v = v.replace(/\bdeutschesten\b/g, "dadaistischsten");
	v = v.replace(/\bdeutschestem\b/g, "dadaistischstem");
	v = v.replace(/\bdeutschestes\b/g, "dadaistischstes");



       // Groß
	v = v.replace(/\bDeutsch\b/g, "Dadaistisch");
	v = v.replace(/\bDeutsche\b/g, "Dadaistische");
	v = v.replace(/\bDeutscher\b/g, "Dadaistischer");
	v = v.replace(/\bDeutschen\b/g, "Dadaistischen");
	v = v.replace(/\bDeutschem\b/g, "Dadaistischem");
	v = v.replace(/\bDeutsches\b/g, "Dadaistisches");

	v = v.replace(/\bDeutschere\b/g, "Dadaistischere");
	v = v.replace(/\bDeutscherer\b/g, "Dadaistischerer");
	v = v.replace(/\bDeutscheren\b/g, "Dadaistischeren");
	v = v.replace(/\bDeutscherem\b/g, "Dadaistischerem");
	v = v.replace(/\bDeutscheres\b/g, "Dadaistischeres");

	v = v.replace(/\bDeutscheste\b/g, "Dadaistischste");
	v = v.replace(/\bDeutschester\b/g, "Dadaistischster");
	v = v.replace(/\bDeutschesten\b/g, "Dadaistischsten");
	v = v.replace(/\bDeutschestem\b/g, "Dadaistischstem");
	v = v.replace(/\bDeutschestes\b/g, "Dadaistischstes");

	textNode.nodeValue = v;
}



